Bug 1018560 - [RHEVM-SDK-JAVA]: support automatic auth session invalidation [NEEDINFO]
[RHEVM-SDK-JAVA]: support automatic auth session invalidation
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-sdk-java (Show other bugs)
3.4.0
Unspecified Unspecified
unspecified Severity high
: ---
: 3.4.0
Assigned To: Ravi Nori
Shai Revivo
infra
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-13 06:33 EDT by Michael Pasternak
Modified: 2016-02-10 14:04 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-11 11:25:24 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mpastern: needinfo?


Attachments (Terms of Use)

  None (edit)
Description Michael Pasternak 2013-10-13 06:33:48 EDT
Description of problem:


latest REST-API supports automatic auth session invalidation (upon expiry), sdk should expose this capability as well.
Comment 7 Ravi Nori 2014-02-11 11:25:24 EST
I was able to confirm that the session is automatically renewed when old one expires/invalidated using Java SDK and Apache HTTP Client.

Note You need to log in before you can comment on or make changes to this bug.